apiVersion: v1
kind: Service
metadata:
  name: {{ include "geoip-resolver.fullname" . }}
  labels:
    {{- include "geoip-resolver.labels" . | nindent 4 }}
    service: backend
spec:
  type: {{ .Values.backend.service.type }}
  ports:
    - port: {{ .Values.backend.service.port }}
      targetPort: tcp-redis
      protocol: TCP
      name: tcp-redis
  selector:
    {{- include "geoip-resolver.selectorLabels" . | nindent 4 }}
    service: backend
